File: changelog

package info (click to toggle)
node-magic-string 0.25.7-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 380 kB
  • sloc: makefile: 5
file content (210 lines) | stat: -rw-r--r-- 6,200 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
node-magic-string (0.25.7-3) unstable; urgency=medium

  * Team upload
  * Add a Breaks against rollup < 1

 -- Xavier Guimard <yadd@debian.org>  Sun, 22 Mar 2020 08:31:22 +0100

node-magic-string (0.25.7-2) unstable; urgency=medium

  * Team upload
  * Add debian/gbp.conf
  * Add a Breaks against node-buble < 0.19.8-7~
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 21 Mar 2020 10:26:31 +0100

node-magic-string (0.25.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop the only patch - it's upstream.
  * Update lintian-overrides.
  * Bump std-vers to 4.5.0.
  * Add a patch to disable the mocha options file.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 16 Mar 2020 10:13:37 +0100

node-magic-string (0.25.4-3) unstable; urgency=medium

  * Team upload
  * Fix inconsistency with ES module and CJS/UMD exports (Closes: #942045)

 -- Pirate Praveen <praveen@debian.org>  Thu, 10 Oct 2019 14:50:01 +0530

node-magic-string (0.25.4-2) unstable; urgency=medium

  [ Xavier Guimard ]
  * Use extlinks to map installed modules
  * Add "Rules-Requires-Root: no"
  * Add upstream/metadata
  * Update lintian-overrides

  [ Julien Puydt ]
  * Add b-dep on node-rollup-plugin-replace.
  * Manually fix exports (Closes: #941353).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Oct 2019 08:08:59 +0200

node-magic-string (0.25.4-1) unstable; urgency=medium

  * New upstream release.
  * Run upstream tests, and switch to pkg-jst-tools.
  * Bump standards-version to 4.4.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 01 Oct 2019 08:18:58 +0200

node-magic-string (0.25.3-4) unstable; urgency=medium

  * Team upload
  * Add node-rollup-plugin-buble as build dependency (rollup dropped this
    dependency from 0.56.3-1)
  * Set minimum version of pkg-js-tools to 0.9.14 (to include files mentioned
    in package.json#types: field in auto install)

 -- Pirate Praveen <praveen@debian.org>  Mon, 30 Sep 2019 21:56:45 +0530

node-magic-string (0.25.3-3) unstable; urgency=medium

  * Team upload
  * Switch to pkg-js-tools auto install (install types)

 -- Pirate Praveen <praveen@debian.org>  Thu, 26 Sep 2019 20:30:47 +0530

node-magic-string (0.25.3-2) unstable; urgency=medium

  [ Pirate Praveen ]
  * Install files with a correct directory structure (Closes: #932965).
  * Make sure sourcemap-codec is found.

  [ Julien Puydt ]
  * Bump dh compat to 12 and drop d/compat.
  * Mark the package Multi-Arch: foreign following hinter.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 30 Jul 2019 21:42:12 +0200

node-magic-string (0.25.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 08 Jul 2019 08:35:59 +0200

node-magic-string (0.25.2-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * Bump std-ver to 4.3.0.
  * Update the lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 06 Feb 2019 15:40:54 +0100

node-magic-string (0.25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 20 Sep 2018 06:43:38 +0200

node-magic-string (0.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 19 Jun 2018 17:08:03 +0200

node-magic-string (0.24.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 21 May 2018 23:24:13 +0200

node-magic-string (0.24.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove all patches (now useless or upstreamed).
  * Move to salsa.
  * Bump std-ver to 4.1.4.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 11 Apr 2018 22:14:08 +0200

node-magic-string (0.23.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches (and dropping one).

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 15 Mar 2018 16:02:25 +0100

node-magic-string (0.22.4-5) unstable; urgency=medium

  * Compile using rollup (Closes: #848858).

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 25 Feb 2018 00:27:32 +0100

node-magic-string (0.22.4-4) unstable; urgency=medium

  * Add patch to check undefined chunks.
  * Bump std-ver to 4.1.1.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 04 Nov 2017 16:49:21 +0100

node-magic-string (0.22.4-3) unstable; urgency=medium

  * Improve exports.
  * Change from section web to section javascript.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 19 Sep 2017 17:35:33 +0200

node-magic-string (0.22.4-2) unstable; urgency=medium

  * Hack away a problem due to not having rollup.
  * Bump std-ver to 4.1.0.
  * Bump d/watch to version 4.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 09 Sep 2017 21:49:21 +0200

node-magic-string (0.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 06 Aug 2017 08:43:29 +0200

node-magic-string (0.22.3-2) unstable; urgency=medium

  * Added a patch to avoid optional arguments (Closes: #869530).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 24 Jul 2017 10:36:42 +0200

node-magic-string (0.22.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 23 Jul 2017 11:35:36 +0200

node-magic-string (0.21.3-1) unstable; urgency=medium

  * Removed the patch (Debian's nodejs has default arguments now).
  * New upstream release.
  * Bump standards-version to 4.0.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 06 Jul 2017 17:35:16 +0200

node-magic-string (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides to the new test.
  * Added a patch to avoid default arguments (not supported in Debian's
    nodejs yet).

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 07 Dec 2016 08:23:05 +0100

node-magic-string (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix autopkgtest.
  * Add lintian-overrides because of long lines in tests.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 02 Dec 2016 17:02:34 +0100

node-magic-string (0.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #844391)

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 15 Nov 2016 08:06:50 +0100